# Canvas3D example. Show a galaxy in 3D 

from jhplot  import *
from java.util import Random
from java.awt import Color

c1 = HPlot3D("Canvas",600,600)
c1.setGTitle("Galaxy") 
c1.setNameX("X")
c1.setNameY("Y")
c1.visible(1)
c1.setElevationAngle(30)
c1.setBoxColor(Color.gray)
c1.setAxesFontColor(Color.gray)
c1.setBoxed(0)
# define range in Xmin, Xmax, Ymin, Ymax,  Zmin, Zmax 
c1.setRange(-10,10,-10,10,-10,10)


p1=P2D("Galaxy")
p1.setSymbolSize(1) 
p1.setSymbolColor(Color.blue) 
rand = Random()
for i in range(10000):
      x=3*rand.nextGaussian()
      y=3*rand.nextGaussian()
      z=0.4*rand.nextGaussian()
      p1.add(x,y,z)
      
p2=P2D("Core")
p2.setSymbolSize(1) 
p2.setSymbolColor(Color.yellow)
for i in range(5000):
      x=0.9*rand.nextGaussian()
      y=0.9*rand.nextGaussian()
      z=0.8*rand.nextGaussian()
      p2.add(x,y,z)
      
c1.draw(p1)
c1.draw(p2)


# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".pdf")

